$schema: https://json-schema.org/draft/2020-12/schema
title: CarlOS bundles
description: Bundle configuration description for CarlOS routers
type: object
patternProperties:
  ^[a-zA-Z0-9\-\._~]+$:
    type: object
    properties:
      storage:
        type: string
        pattern: ^(SSD[12]?:[0-9]+|INTERNAL|DATA)$
    additionalProperties: false
    required:
    - storage
additionalProperties: false
